All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterUnsharpBorder
Fixed Filters

Filters the image using a unsharp-mask sharpening filter kernel with border control. More...

## Functions

NppStatus | nppiFilterUnsharpBorder_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned unsharp filter (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpBorder_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned unsharp filter (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpBorder_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed unsharp filter (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpBorder_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating point unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating point unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating point unsharp filter. More...
NppStatus | nppiFilterUnsharpBorder_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpBorder_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating point unsharp filter (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpBorder_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, Npp32f nRadius, Npp32f nSigma, Npp32f nWeight, Npp32f nThreshold, NppiBorderType eBorderType, Npp8u *pDeviceBuffer)
NppStatus | nppiFilterUnsharpGetBufferSize_8u_C1R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Single channel 8-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_8u_C3R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Three channel 8-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_8u_C4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 8-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_8u_AC4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 8-bit unsigned unsharp filter scratch memory size (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpGetBufferSize_16u_C1R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Single channel 16-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16u_C3R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Three channel 16-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16u_C4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 16-bit unsigned unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16u_AC4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 16-bit unsigned unsharp filter scratch memory size (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpGetBufferSize_16s_C1R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Single channel 16-bit signed unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16s_C3R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Three channel 16-bit signed unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16s_C4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 16-bit signed unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_16s_AC4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 16-bit signed unsharp filter scratch memory size (alpha channel is not processed). More...
NppStatus | nppiFilterUnsharpGetBufferSize_32f_C1R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Single channel 32-bit floating point unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_32f_C3R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Three channel 32-bit floating point unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_32f_C4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 32-bit floating point unsharp filter scratch memory size. More...
NppStatus | nppiFilterUnsharpGetBufferSize_32f_AC4R (const Npp32f nRadius, const Npp32f nSigma, int *hpBufferSize)
| Four channel 32-bit floating point unsharp filter scratch memory size (alpha channel is not processed). More...

## Detailed Description

Filters the image using a unsharp-mask sharpening filter kernel with border control.

The algorithm involves the following steps: Smooth the original image with a Gaussian filter, with the width controlled by the nRadius. Subtract the smoothed image from the original to create a high-pass filtered image. Apply any clipping needed on the high-pass image, as controlled by the nThreshold. Add a certain percentage of the high-pass filtered image to the original image, with the percentage controlled by the nWeight. In pseudocode this algorithm can be written as: HighPass = Image - Gaussian(Image) Result = Image + nWeight * HighPass * ( |HighPass| >= nThreshold ) where nWeight is the amount, nThreshold is the threshold, and >= indicates a Boolean operation, 1 if true, or 0 otherwise.

If any portion of the mask overlaps the source image boundary, the requested border type operation is applied to all mask pixels which fall outside of the source image.

Currently only the NPP_BORDER_REPLICATE border type operation is supported.

### Common parameters for nppiFilterUnsharpBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nRadius | The radius of the Gaussian filter, in pixles, not counting the center pixel.
  nSigma | The standard deviation of the Gaussian filter, in pixel.
  nWeight | The percentage of the difference between the original and the high pass image that is added back into the original.
  nThreshold | The threshold neede to apply the difference amount.
  eBorderType | The border type operation to be applied at source image border boundaries.
  pDeviceBuffer | Pointer to the user-allocated device scratch buffer required for the unsharp operation.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

### Common parameters for nppiFilterUnsharpGetBufferSize functions include:

Parameters

  nRadius | The radius of the Gaussian filter, in pixles, not counting the center pixel.
  nSigma | The standard deviation of the Gaussian filter, in pixel.
  hpBufferSize | Pointer to the size of the scratch buffer required for the unsharp operation.

Returns
  Image Data Related Error Codes

## Function Documentation

NppStatus nppiFilterUnsharpBorder_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed unsharp filter (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned unsharp filter (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating point unsharp filter (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating point unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating point unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating point unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned unsharp filter (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiFilterUnsharpBorder_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nRadius,
|  | Npp32f | nSigma,
|  | Npp32f | nWeight,
|  | Npp32f | nThreshold,
|  | NppiBorderType | eBorderType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned unsharp filter.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpBorder functions.

NppStatus nppiFilterUnsharpGetBufferSize_16s_AC4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 16-bit signed unsharp filter scratch memory size (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16s_C1R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Single channel 16-bit signed unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16s_C3R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Three channel 16-bit signed unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16s_C4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 16-bit signed unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16u_AC4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 16-bit unsigned unsharp filter scratch memory size (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16u_C1R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Single channel 16-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16u_C3R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Three channel 16-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_16u_C4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 16-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_32f_AC4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 32-bit floating point unsharp filter scratch memory size (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_32f_C1R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Single channel 32-bit floating point unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_32f_C3R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Three channel 32-bit floating point unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_32f_C4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 32-bit floating point unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_8u_AC4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 8-bit unsigned unsharp filter scratch memory size (alpha channel is not processed).

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_8u_C1R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Single channel 8-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_8u_C3R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Three channel 8-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

NppStatus nppiFilterUnsharpGetBufferSize_8u_C4R | ( | const Npp32f | nRadius,
|  | const Npp32f | nSigma,
|  | int * | hpBufferSize
| ) |  |

Four channel 8-bit unsigned unsharp filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterUnsharpGetBufferSize functions.

Copyright © 2009-2019 NVIDIA Corporation